Skip to content

Aggregate Agent Data

AgentDataAggregatePageResponse Beta.AgentData.Aggregate(AgentDataAggregateParamsparameters, CancellationTokencancellationToken = default)
POST/api/v1/beta/agent-data/:aggregate

Aggregate agent data with grouping and optional counting/first item retrieval.

ParametersExpand Collapse
AgentDataAggregateParams parameters
required string deploymentName

Body param: The agent deployment’s name to aggregate data for

string? organizationID

Query param

formatuuid
string? projectID

Query param

formatuuid
string collection

Body param: The logical agent data collection to aggregate data for

Boolean? count

Body param: Whether to count the number of items in each group

IReadOnlyDictionary<string, FilterItem>? filter

Body param: A filter object or expression that filters resources listed in the response.

Eq? Eq
One of the following:
Double
string
DateTimeOffset
IReadOnlyList<Exclude?> Excludes
One of the following:
Double
string
DateTimeOffset
Gt? Gt
One of the following:
Double
string
DateTimeOffset
Gte? Gte
One of the following:
Double
string
DateTimeOffset
IReadOnlyList<Include?> Includes
One of the following:
Double
string
DateTimeOffset
Lt? Lt
One of the following:
Double
string
DateTimeOffset
Lte? Lte
One of the following:
Double
string
DateTimeOffset
Ne? Ne
One of the following:
Double
string
DateTimeOffset
Boolean? first

Body param: Whether to return the first item in each group (Sorted by created_at)

IReadOnlyList<string>? groupBy

Body param: The fields to group by. If empty, the entire dataset is grouped on. e.g. if left out, can be used for simple count operations

Long? offset

Body param: The offset to start from. If not provided, the first page is returned

maximum1000
minimum0
string? orderBy

Body param: A comma-separated list of fields to order by, sorted in ascending order. Use ‘field_name desc’ to specify descending order.

Long? pageSize

Body param: The maximum number of items to return. The service may return fewer than this value. If unspecified, a default page size will be used. The maximum value is typically 1000; values above this will be coerced to the maximum.

string? pageToken

Body param: A page token, received from a previous list call. Provide this to retrieve the subsequent page.

ReturnsExpand Collapse
class AgentDataAggregatePageResponse:
required IReadOnlyList<AgentDataAggregateResponse> Items

The list of items.

required IReadOnlyDictionary<string, JsonElement> GroupKey
Long? Count
IReadOnlyDictionary<string, JsonElement>? FirstItem
string? NextPageToken

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

Long? TotalSize

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

Aggregate Agent Data

AgentDataAggregateParams parameters = new()
{
    DeploymentName = "deployment_name"
};

var page = await client.Beta.AgentData.Aggregate(parameters);
await foreach (var item in page.Paginate())
{
    Console.WriteLine(item);
}
{
  "items": [
    {
      "group_key": {
        "foo": "bar"
      },
      "count": 0,
      "first_item": {
        "foo": "bar"
      }
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "group_key": {
        "foo": "bar"
      },
      "count": 0,
      "first_item": {
        "foo": "bar"
      }
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/